#!/bin/bash 
cd $(dirname "$BASH_SOURCE")/..
source config.cfg
BATCHPATH=$(cd $(dirname "$BASH_SOURCE")/../software; pwd)

mkdir -p $TEMPPATH
mkdir -p $DESTPATH

for file in $SOURCEPATH/*.mp4
do
	filename=$(basename "$file");
	filename=${filename%.*};

	$BATCHPATH/ffmpeg -i "$file" -vn -acodec copy "$TEMPPATH/$filename.m4a";

	if [ -s "$TEMPPATH/$filename.m4a" ]
	then
		mv "$TEMPPATH/$filename.m4a" "$DESTPATH/$filename.m4a";
	else
		[ -f "$TEMPPATH/$filename.m4a" ] && rm "$TEMPPATH/$filename.m4a"
	fi
done

osascript -e 'tell application "Terminal" to quit'
exit
